Subject: bug#50361: closed (Re: bug#50361: Error in first example in documentation)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Sep 2021 10:08:02 +0000

Your bug report

#50361: Error in first example in documentation

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50361: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50361
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50361: Error in first example in documentation
From: Jim Meyering <[email-masked]>
To: Davide Brini <[email-masked]>
Cc: [email-masked], Robert Spanjaard <[email-masked]>
Date: Sun, 5 Sep 2021 12:07:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Sep 4, 2021 at 6:46 PM Davide Brini <[email-masked]> wrote:
>
>
> (keeping the list in the loop)
>
> On Sat, 4 Sep 2021 17:43:27 +0200, Robert Spanjaard
> <[email-masked]> wrote:
>
> > I'm not a regular sed user. I had an HMTL file that had about 70 list
> > elements on a single line, and I wanted to change that. So I thought I'd
> > use sed to change every occurence of "li><li" into "li>\n<li".
> >
> > sed 's/<\/li><li>/<\/li>\n<li>/' list.html > formattedlist.html
> >
> > According to the manual, this should work. This is exactly what the
> > manual tells me to do to replace *all* occurences in the file list.html.
> >
> > That is NOT a matter of interpretation.
>
> Since I foresee this rapidly becoming a sterile discussion, I'll only add
> this:
>
> for files that do not have multiple occurrences of the same pattern on a
> single line, the statement in the manual is correct. The only thing missing
> is a note specifying just that.
>
> Good luck with your replacements.

Thank you both. I have addressed this and some related (and unrelated
things I noticed along the way) with the attached patch:

Subject: Error in first example in documentation
From: Robert Spanjaard <[email-masked]>
To: [email-masked]
Date: Fri, 3 Sep 2021 20:26:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On this website...

https://www.gnu.org/software/sed/manual/sed.html#Invoking-sed

In 2.1, the very first example in the documentation states that...

	sed 's/hello/world/' input.txt > output.txt

... replaces ALL occurences of 'hello' to 'world in input.txt.

But the g flag is missing. The provided command only replaces the FIRST 
occurence.

-- 
Kind regards,

Robert Spanjaard